From: "Conrad Kostecki" <conikost@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: sys-apps/smcipmitool/
Date: Wed, 13 Apr 2022 13:34:53 +0000 (UTC) [thread overview]
Message-ID: <1649856881.22dff12bcd0933c1eb3c6680b45677f745cf46e9.conikost@gentoo> (raw)
commit: 22dff12bcd0933c1eb3c6680b45677f745cf46e9
Author: Conrad Kostecki <conikost <AT> gentoo <DOT> org>
AuthorDate: Wed Apr 13 13:33:52 2022 +0000
Commit: Conrad Kostecki <conikost <AT> gentoo <DOT> org>
CommitDate: Wed Apr 13 13:34:41 2022 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=22dff12b
sys-apps/smcipmitool: add 2.26.0.220209
Signed-off-by: Conrad Kostecki <conikost <AT> gentoo.org>
sys-apps/smcipmitool/Manifest | 1 +
.../smcipmitool/smcipmitool-2.26.0.220209.ebuild | 77 ++++++++++++++++++++++
2 files changed, 78 insertions(+)
diff --git a/sys-apps/smcipmitool/Manifest b/sys-apps/smcipmitool/Manifest
index d924e2485c79..2d61d786a49b 100644
--- a/sys-apps/smcipmitool/Manifest
+++ b/sys-apps/smcipmitool/Manifest
@@ -1 +1,2 @@
DIST SMCIPMITool_2.25.0_build.210326_bundleJRE_Linux_x64.tar.gz 120356581 BLAKE2B c3106bcb4d1f3e0cf3197e605b741d88d662824ec7e0aecde1a2b9bc1db0313b1cb6fba4d41b792dbc2f0f6da2cab7eab75ae912b329feaec9e2f601774eca36 SHA512 f0e11c7ca7c46ffda8a37e510e1653d413679b54f19e00d05379b422a37a008c2cae6a7a06c184f73ac0925b73ddb449364bf9178ad8fea4ddc718ebf8425dae
+DIST SMCIPMITool_2.26.0_build.220209_bundleJRE_Linux_x64.tar.gz 124144278 BLAKE2B 2b4cc6f6fc315c7c22a271e201044d8e6d6825555f44c787c66941f76e029207ef3e4f216c330e6adeae508194d20c07e5f062e1bb3f19bb5eec45152a161614 SHA512 b39074ed515ef9698630e2b2969178caa68e27448e49636d1daf633c1e4b0f4ff1a30a4074a6c5ed68a960bfd653b5d3294641e1f0d3f8ee9732065337a8b243
diff --git a/sys-apps/smcipmitool/smcipmitool-2.26.0.220209.ebuild b/sys-apps/smcipmitool/smcipmitool-2.26.0.220209.ebuild
new file mode 100644
index 000000000000..092ee2dab490
--- /dev/null
+++ b/sys-apps/smcipmitool/smcipmitool-2.26.0.220209.ebuild
@@ -0,0 +1,77 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit java-pkg-2 prefix
+
+MY_DATE="$(ver_cut 4)"
+MY_PN="SMCIPMITool"
+MY_PN_SRC_URI="SMCIPMItool"
+MY_PV="$(ver_cut 1-3)"
+
+DESCRIPTION="An out-of-band utility for interfacing with SuperBlade and IPMI devices via CLI"
+HOMEPAGE="https://www.supermicro.com/"
+SRC_URI="https://www.supermicro.com/wftp/utility/${MY_PN_SRC_URI}/Linux/${MY_PN}_${MY_PV}_build.${MY_DATE}_bundleJRE_Linux_x64.tar.gz"
+
+LICENSE="supermicro"
+SLOT="0"
+KEYWORDS="-* ~amd64"
+
+RDEPEND="
+ net-misc/stunnel
+ sys-libs/ncurses-compat:5
+ virtual/jre:1.8
+"
+
+RESTRICT="bindist mirror"
+
+DIR="/usr/share/${PN}"
+QA_PREBUILT="usr/lib*"
+
+src_unpack() {
+ unpack ${A}
+ mv -v ${MY_PN}_${MY_PV}_build.${MY_DATE}_bundleJRE_Linux_x64 ${P} || die
+}
+
+src_prepare() {
+ default
+
+ # Don't use their scary launchers
+ rm -v lax.jar || die
+}
+
+src_compile() {
+ :
+}
+
+src_install() {
+ java-pkg_dojar *.jar
+ java-pkg_doso *64.so
+
+ local pre=$(prefixify_ro "${FILESDIR}"/launcher-pre.bash)
+ java-pkg_dolauncher smcipmitool-ikvm --jar iKVM.jar -pre "${pre}"
+ java-pkg_dolauncher smcipmitool-jviewersmc --jar JViewerSMC.jar -pre "${pre}"
+ java-pkg_dolauncher smcipmitool-jviewerx9 --jar JViewerX9.jar -pre "${pre}"
+ java-pkg_dolauncher smcipmitool --jar SMCIPMITool.jar -pre "${pre}"
+
+ exeinto "${DIR}"/jre/bin
+ newexe $(prefixify_ro "${FILESDIR}"/fake-java.bash) java
+
+ insinto "${DIR}"/lib/BMCSecurity
+ doins BMCSecurity/*.{crt,key,pem,txt}
+
+ insinto "${DIR}"/lib/BMCSecurity/linux
+ doins BMCSecurity/linux/stunnel.conf
+
+ dosym ../../../../../bin/stunnel "${DIR}"/lib/BMCSecurity/linux/stunnel32
+ dosym ../../../../../bin/stunnel "${DIR}"/lib/BMCSecurity/linux/stunnel64
+
+ local DOCS=(
+ "jcurses.README"
+ "ReleaseNotes.txt"
+ "SMCIPMITool_User_Guide.pdf"
+ )
+
+ einstalldocs
+}
next reply other threads:[~2022-04-13 13:35 UTC|newest]
Thread overview: 29+ messages / expand[flat|nested] mbox.gz Atom feed top
2022-04-13 13:34 Conrad Kostecki [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-08-04 14:03 [gentoo-commits] repo/gentoo:master commit in: sys-apps/smcipmitool/ Conrad Kostecki
2024-08-04 14:03 Conrad Kostecki
2023-07-15 21:14 Conrad Kostecki
2023-07-15 21:14 Conrad Kostecki
2023-07-15 20:37 Conrad Kostecki
2022-12-17 9:53 Conrad Kostecki
2022-12-17 9:53 Conrad Kostecki
2022-10-04 20:34 Conrad Kostecki
2022-10-04 20:34 Conrad Kostecki
2022-04-13 13:34 Conrad Kostecki
2022-02-09 22:57 Conrad Kostecki
2021-07-01 22:19 Conrad Kostecki
2021-07-01 22:19 Conrad Kostecki
2020-12-01 20:58 Conrad Kostecki
2020-12-01 20:58 Conrad Kostecki
2020-11-30 13:33 Conrad Kostecki
2020-11-30 13:33 Conrad Kostecki
2020-10-09 16:03 Conrad Kostecki
2020-10-09 16:03 Conrad Kostecki
2020-02-04 18:09 Conrad Kostecki
2020-02-04 18:09 Conrad Kostecki
2019-12-02 23:22 Conrad Kostecki
2019-10-06 12:45 Thomas Deutschmann
2019-10-01 19:14 Michał Górny
2018-12-16 19:30 Andreas Sturmlechner
2018-12-16 19:30 Andreas Sturmlechner
2018-08-05 21:48 Patrice Clement
2018-03-29 15:13 Michał Górny
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1649856881.22dff12bcd0933c1eb3c6680b45677f745cf46e9.conikost@gentoo \
--to=conikost@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox